Warn when the output filename expression returns a NULL value or is wrong

2015-09-21 09:12 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21442

Description

Create an atlas and in output filename expression, put a wrong formula, something like 'output'||@atlasfeaturenum

Then export the atlas. all the process will go till the end even though no file will be generated.

I think that the user should be warned about the error:

- when he clicks out of the expression textbox

- or when he clicks on the export button

History

#1 - 2015-10-11 10:21 AM - Anita Graser

- Target version changed from Future Release - High Priority to Future Release - Nice to have

- Priority changed from High to Normal

- Subject changed from Print Composer : Warn when the output filename expression return a NULL value or is wrong to Warn when the output filename 

expression returns a NULL value or is wrong

- Tracker changed from Bug report to Feature request

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
